Subject: [PATCH] mmc: dw_mmc: fix card read threshold for PIO mode

From: [email-masked] (Shawn Guo)
Date: Mon, 24 Nov 2014 08:25:09 +0800

On Mon, Nov 24, 2014 at 03:36:13AM +0530, Alim Akhtar wrote:
> Hi Shawn,
> 
> On Sun, Nov 23, 2014 at 9:00 PM, Shawn Guo <[email-masked]> wrote:
> > One thing I need to check with hardware vendor is whether register
> > CDTHRCTL is available on my dwmmc controller.  From my testing, even
> > reading this register every time dw_mci_submit_data() is called causes
> > problem for me.
> >
> yes, your guess is right, did you tested with ulf's -next branch?
> Recently patch [1] is merged, that most likely to solve your platform
> issue. Have a try.
> 
> [1] http://www.spinics.net/lists/stable/msg69884.html

Yeah, the patch fixes my problem.  Thanks a lot for the pointer, Alim.

Shawn